//
//  SRConnectionDelegate.h
//  SignalR
//
//  Created by Alex Billingsley on 10/17/11.
//  Copyright (c) 2011 DyKnow LLC. (http://dyknow.com/)
//
//  Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
//  documentation files (the "Software"), to deal in the Software without restriction, including without limitation
//  the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
//  to permit persons to whom the Software is furnished to do so, subject to the following conditions:
//
//  The above copyright notice and this permission notice shall be included in all copies or substantial portions of
//  the Software.
//
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//  THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
//  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
//  DEALINGS IN THE SOFTWARE.
//

#import <Foundation/Foundation.h>
#import "SRConnectionInterface.h"

@protocol SRConnectionDelegate<NSObject>
@optional

- (void)SRConnectionDidOpen:(id <SRConnectionInterface>)connection;

- (void)SRConnectionWillReconnect:(id <SRConnectionInterface>)connection;

- (void)SRConnectionDidReconnect:(id <SRConnectionInterface>)connection;

- (void)SRConnection:(id <SRConnectionInterface>)connection didReceiveData:(id)data;

- (void)SRConnectionDidClose:(id <SRConnectionInterface>)connection;

- (void)SRConnection:(id <SRConnectionInterface>)connection didReceiveError:(NSError *)error;

- (void)SRConnection:(id <SRConnectionInterface>)connection didChangeState:(connectionState)oldState newState:(connectionState)newState;

- (void)SRConnectionDidSlow:(id <SRConnectionInterface>)connection;

@end
